%define upstream_name	 Audio-MPD-Common
%define upstream_version 1.120881

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A bunch of common helper classes for mpd
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Audio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Readonly)
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Depending on whether you're using a POE-aware environment or not, people
wanting to tinker with mpd (Music Player Daemon) will use either
POE::Component::Client::MPD or Audio::MPD.

But even if the run-cores of those two modules differ completely, they are
using the exact same common classes to represent the various mpd states and
information.

Therefore, those common classes have been outsourced to Audio::MPD::Common.

This module does not export any methods, but the dist provides the following
classes that you can query with perldoc:

o Audio::MPD::Common::Item
o Audio::MPD::Common::Item::Directory
o Audio::MPD::Common::Item::Playlist
o Audio::MPD::Common::Item::Song
o Audio::MPD::Common::Stats
o Audio::MPD::Common::Status
o Audio::MPD::Common::Time

Note that those modules should not be of any use outside the two mpd modules
afore-mentioned.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Audio
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.120.881-2.mga3
+ Revision: 363233
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.120.881-1.mga3
+ Revision: 254571
- update to 1.120881

* Mon Mar 05 2012 jquelin <jquelin> 1.120.610-1.mga2
+ Revision: 218648
- update to 1.120610

* Thu Feb 24 2011 jquelin <jquelin> 1.110.550-1.mga1
+ Revision: 58914
- update to 1.110550

* Wed Jan 26 2011 jquelin <jquelin> 1.100.430-1.mga1
+ Revision: 39980
- mageia rebuild
- imported package perl-Audio-MPD-Common

